> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Euro Account Request

> This fetches an Euro subaccount request through the creation reference retrieved when a user or corporate subaccount request is made.



## OpenAPI

````yaml /openapi.json get /payaza-account/api/v1/euro/account/{creationReference}
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /payaza-account/api/v1/euro/account/{creationReference}:
    get:
      tags:
        - EUR Accounts
      summary: Get Single Euro Account Request
      description: >-
        This fetches an Euro subaccount request through the creation reference
        retrieved when a user or corporate subaccount request is made.
      parameters:
        - name: creationReference
          in: path
          required: true
          schema:
            type: string
          description: >-
            The creation reference in the Create A user or corporate Subaccount
            API response
      responses:
        '200':
          description: Payment successful
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: >-
                      #/components/schemas/getSingleEuroAccountIndividualResponse
                  - $ref: '#/components/schemas/getSingleEuroAccountCorporateResponse'
              examples:
                Individual:
                  summary: Individual Account Example
                  value:
                    id: 2147
                    country: FRA
                    currency: EUR
                    status: PROVIDER_CREATED
                    category: SUB_ACCOUNT
                    creationReference: ac456ecb-7870-47d4-af23-2dde8563235f
                    account_type: user
                    business_fk: 2046
                    user_kyc:
                      - id_file: >-
                          https://payaza-assets.s3.amazonaws.com/development/1737369951133-number1.jpg
                        id_file_back: null
                        id_type: passport
                        poa_file: >-
                          https://payaza-assets.s3.amazonaws.com/development/1737369961250-number2.png
                        poa_type: utilityBill
                    first_name: Kianna
                    last_name: Doyle
                    created_at: '2025-03-19T20:15:46.308311'
                    country_2_iso: FR
                Corporate:
                  summary: Corporate Account Example
                  value:
                    id: 2278
                    country: USA
                    currency: EUR
                    directors:
                      - id_file: >-
                          https://stevestones.com/docs/1737370156723-passport.jpeg
                        id_file_back: >-
                          https://stevestones.com/docs/1737370156723-passport.jpeg
                        id_type: passport
                        poa_file: >-
                          https://stevestones.com/docs/17373701573833-utilitybill.png
                        poa_type: utilityBill
                    shareholders:
                      - id_file: >-
                          https://stevestones.com/docs/1737370156723-passport.jpeg
                        id_file_back: >-
                          https://stevestones.com/docs/1737370156723-passport.jpeg
                        id_type: passport
                        poa_file: >-
                          https://stevestones.com/docs/17373701573833-utilitybill.png
                        poa_type: utilityBill
                    mermat: https://stevestones.com/docs/17373701569821-mermat.png
                    status: ADMIN_PENDING
                    category: SUB_ACCOUNT
                    purpose: Business Expansion
                    creationReference: e2ba38e0-485d-4ce8-bb8a-96c99ed10ebd
                    account_type: corporate
                    business_fk: 3242
                    business_name: link
                    company_name: Personal Loan Account
                    certificate_of_incorporation: https://stevestones.com/docs/1737370156723-coi.jpg
                    created_at: '2025-02-03T15:14:07.657648'
                    country_2_iso: US
        '400':
          description: Payment failed
      security:
        - ApiKeyAuth:
            - Payaza {{Public API Key In Base64}}
          TenantID:
            - test or live
components:
  schemas:
    getSingleEuroAccountIndividualResponse:
      title: Get Single Euro Individual Account Response
      type: object
      properties:
        id:
          type: integer
          example: 2147
        country:
          type: string
          example: FRA
        currency:
          type: string
          example: EUR
        status:
          type: string
          example: PROVIDER_CREATED
        category:
          type: string
          example: SUB_ACCOUNT
        creationReference:
          type: string
          example: ac456ecb-7870-47d4-af23-2dde8563235f
        account_type:
          type: string
          example: user
        business_fk:
          type: integer
          example: 2046
        first_name:
          type: string
          example: Kianna
        last_name:
          type: string
          example: Doyle
        created_at:
          type: string
          format: date-time
        country_2_iso:
          type: string
          example: FR
        user_kyc:
          type: array
          description: KYC documents for the individual.
          items:
            $ref: '#/components/schemas/kycDocument'
    getSingleEuroAccountCorporateResponse:
      title: Get Single Euro Corporate Account Response
      type: object
      properties:
        id:
          type: integer
          example: 2278
        country:
          type: string
          example: USA
        currency:
          type: string
          example: EUR
        mermat:
          type: string
          format: uri
          description: Link to Memorandum and Articles of Association.
        status:
          type: string
          example: ADMIN_PENDING
        category:
          type: string
          example: SUB_ACCOUNT
        purpose:
          type: string
          example: Business Expansion
        creationReference:
          type: string
          example: e2ba38e0-485d-4ce8-bb8a-96c99ed10ebd
        account_type:
          type: string
          example: corporate
        business_fk:
          type: integer
          example: 3242
        business_name:
          type: string
          example: link
        company_name:
          type: string
          example: JohnDoe Limited
        certificate_of_incorporation:
          type: string
          format: uri
          description: Link to Certificate of Incorporation.
        created_at:
          type: string
          format: date-time
        country_2_iso:
          type: string
          example: US
        directors:
          type: array
          description: List of company directors.
          items: e0ddd862-12ce-47c7-9302-e2804634705c
        shareholders:
          type: array
          description: List of company shareholders.
          items: 16620da9-4268-4941-bf1e-d8d03d4555ef
    kycDocument:
      title: KYC Document Info
      type: object
      properties:
        id_file:
          type: string
          format: uri
          description: URL to the ID document.
        id_file_back:
          type: string
          format: uri
          nullable: true
          description: URL to the back of the ID document (if applicable).
        id_type:
          type: string
          description: Type of ID (e.g., passport).
          example: passport
        poa_file:
          type: string
          format: uri
          description: URL to the Proof of Address.
        poa_type:
          type: string
          description: Type of POA (e.g., utilityBill).
          example: utilityBill
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````